std::swap(std::basic_regex)(3)

NAME
std::swap(std::basic_regex) - std::swap(std::basic_regex)

Synopsis
   template< class CharT, class Traits >
   void swap( basic_regex<CharT,Traits> &lhs, basic_regex<CharT,Traits> (since C++11)
   &rhs ) noexcept;
   Overloads the std::swap algorithm for std::basic_regex. Exchanges the state of lhs
   with that of rhs. Effectively calls lhs.swap(rhs).

Parameters
   lhs, rhs - regular expressions to swap

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   swap swaps the contents
        (public member function)